Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5898 - Wrong mode/owner of some files
Summary: Wrong mode/owner of some files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-12 21:29 UTC by Enrico Scholz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-01 19:33:08 UTC


Attachments (Terms of Use)

Description Enrico Scholz 1999-10-12 21:29:04 UTC
* I am missing a %defattr(-,root,root) in the filelist of
the common packet.

* The smbd manpage recommends a logfile-directory readable
only by root. Currently the mode is 0755.

Comment 1 Bill Nottingham 1999-10-29 20:31:59 UTC
The %defattr is fixed in samba-2.0.5a-15, which will be in
the next Raw Hide release.

I would think that it would be better to make the log *files*
not world readable, as opposed to the directory. (or possibly
both.)

Comment 2 Bill Nottingham 1999-12-01 19:33:59 UTC
Actually, since the log file names contain client names, they
could be sensitive, I suppose.

Fixed in samba-2.0.6-2, which will be in the next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.